:root {
    --primary_color: #0c0e35;
    --secondary_color: #121552;
    --text_primary: #fefefe;
    --text_secondary: #2364a9;
    --button_color_ready: #1f4c79;
    --button_color_active: #0f81de;
    --button_color_on_air: #d61a0e;
    --healty_color: #27e83d;
    --warning_color: #f6f646;
    --critical_color: #fb1a1a;
    --active_color: #a2168d;
    --pink_color: #e105e1;
    --blue_color: #1383e6ab;
    --yellow_color: #FFFF00;
    --green_color: #107810;
}

.now_playing{
    width:40%;
    height: 80%;
    display: flex;
    flex-direction: row;
    justify-content: start;
    align-items: center;
    gap: 1rem;
    background-color:var(--secondary_color);
    border-radius: 10px;
    padding: 0.5rem;
    border: 1px solid rgba(255, 255, 255, 0.1);
    overflow: hidden;
    user-select: none;
    position: relative;
}

.thumbnail_section{
    margin-left: 0.5rem;
    width: 10rem;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 5px;
    padding: 0.5rem;
    overflow: hidden;
}

.thumbnail_section img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 5px;
    transition: all 0.3s ease-in-out;
}

.now_playing_info{
    position: relative;
    width: 60%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: start;
    gap: 0.2rem;
    user-select: none;
}

.now_playing_text{
    position: relative;
    width: 100%;
    text-transform: uppercase;
    font-size: 0.8rem;
    display: flex;
    flex-direction: row;
    justify-content: start;
    align-items: center;
    color:var(--pink_color);
    gap: 0.5rem;

}

.now_playing_text i{
    
    transition: all 0.3s ease-in-out;
    font-size: 0.4rem;
    animation: pulse 2s infinite;
}

@keyframes pulse {
    0% {
        transform: scale(1);
        opacity: 1;
    }
    50% {
        transform: scale(1.2);
        opacity: 0.5;
    }
    100% {
        transform: scale(1);
        opacity: 1;
    }
}

.now_playing_main_text{
    width: 90%;
    font-size: 2rem;
    font-weight: bold;
    text-transform: capitalize;
    /* text overflow  put ...*/
    text-overflow: ellipsis;
    overflow: hidden;
    color:var(--text_primary);
}

.channel_name{
    font-size: 0.8rem;
    color:var(--text_secondary);
    margin-bottom: 0.2rem;
}

.now_playing_progress{
    position: relative;
    width: 90%;
    height: 0.5rem;
    background-color: rgba(255, 255, 255, 0.1);
    border-radius: 5px;
    overflow: hidden;
}

.now_playing_time{
    position: relative;
    font-size: 0.7rem;
    color:var(--text_secondary);
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 90%;
    padding: 0.2rem;
}

.progress_bar{
    width: 0%;
    height: 100%;
    background-color: var(--text_primary);
    border-radius: 5px;
    box-shadow: 0 0 10px var(--text_primary);
    transition: width 0.5s ease-in-out;
}

.mute_unmute{
    width: 4rem;
    height:4rem;
    background-color: var(--button_color_ready);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--text_primary);
    margin-right: 1rem;
    font-size: 1rem;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
}

.mute_unmute:hover{
    background-color: var(--button_color_active);
    box-shadow: 0 0 10px var(--button_color_active);
}

.active_listner{
    width:max-content;
    height: 80%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: var(--secondary_color);
    border-radius: 10px;
    padding: 1rem 2rem;
    user-select: none;
    position: relative;
    border: 1px solid rgba(255, 255, 255, 0.1);
}

.active_listner_text{
    font-size: 1rem;
    font-weight: bold;
    color: var(--text_secondary);
}

.active_listner_count{
    font-size: 6rem;
    font-weight: bold;
    color: var(--text_primary);
}

/* responsive design */
@media (max-width: 1368px) {


    .now_playing_main_text{
        font-size:0.8rem;
    }
    .mute_unmute{
        width: 2.8rem;
        height: 2.8rem;
        min-width: 2.8rem;
        min-height: 2.8rem;
        justify-content: center;
        align-items: center;
        font-size: 0.8rem;
    }
    .active_listner_text{
        font-size: 0.8rem;
    }
    .active_listner_count{
        font-size: 2.8rem;
    }
    .thumbnail_section{
        width: 5rem;
        height: 95%;
    }
    .channel_name{
        font-size: 0.6rem;
        margin-bottom: 0.1rem;
        display: none;
    }
    .now_playing_time{
        font-size: 0.6rem;
    }
    .now_playing_text{
        font-size: 0.6rem;
    }
    
}